Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \ --url https://api.uniblock.dev/uni/v1/json-rpc?chainId=osmosis \ --header 'content-type: application/json' \ --data '{ "id": 1, "jsonrpc": "2.0", "method": "consensus_state", "params": [] }'
{ "jsonrpc": "2.0", "id": 1, "result": { "round_state": { "height/round/step": "1262197/0/8", "start_time": "2019-08-01T11:52:38.962730289Z", "proposal_block_hash": "634ADAF1F402663BEC2ABC340ECE8B4B45AA906FA603272ACC5F5EED3097E009", "locked_block_hash": "634ADAF1F402663BEC2ABC340ECE8B4B45AA906FA603272ACC5F5EED3097E009", "valid_block_hash": "634ADAF1F402663BEC2ABC340ECE8B4B45AA906FA603272ACC5F5EED3097E009", "height_vote_set": [ { "__truncated": true } ], "proposer": { "address": "D540AB022088612AC74B287D076DBFBC4A377A2E", "index": 0 } } } }
Get consensus state.
Was this page helpful?